Announcing OpenPGP Library for Java 3.0.0

Today has been released version 3.0.0 of DidiSoft OpenPGP Library for Java.

Why version 3.0?

The major version number change is made due to two main things:

1) The library no longer needs the Unlimited JCE (Java Cryptography Extensions) policy files. This means that from now on the library can be used in any application without modification in the host machine Java VM installation. The main benefit from this change is for mass market applications especially for B2C applications that have to be installed with minimal interventions on the client computer.

2) The library now can run side by side with any other version of the BouncyCastle library. You just have to use the library JAR files (located in the \Library folder of the distribution ZIP file) in your application classpath, no matter if there are any other versions of the BouncyCastle library.

Upgrade instructions

The upgrade consists of replacing the old JAR files with the new ones:

1) bcpg-jdk15on-15-lw.jar
2) bcprov-jdk15on-15-lw.jar
3) pgplib-3.0.0.jar

Java 1.4 dropped

The library no longer ships with JAR files built for Java 1.4. Please let us know if you still need that version, and we will include it for you!

The DidiSoft Team